#! /bin/sh
# Script: setup.sh
# Title:  Script start executable setup jar
# Author: oliver.haufe@sos-berlin.com

JAVABINPATH=

if [ "$USER" = "root" ]
then
  echo "Please don't call this script as root"
  exit 1
fi

which_return="`java -version 2>&1`"
last_exit=$?

if [ $last_exit -ne 0 ]
then
  # echo "$which_return"
  echo "java couldn't be found."
  echo "Please enter your java bin directory ([java install path]/bin):"
  read JAVABIN
  which_return="`$JAVABIN/java -version 2>&1`"
  last_exit=$?
  if [ $last_exit -ne 0 ]
  then
    echo "\"$JAVABIN/java\" couldn't be found."
    exit 1
  fi
fi

if [ "$JAVABIN" != "" ]
then
  JAVABINPATH="${JAVABIN}/"
fi
export JAVABINPATH
  
which_return="`which sudo 2>&1`"
sudo_exit=$?
USESU=n 


if [ $sudo_exit -eq 0 ]
then
  echo "sudo ${JAVABINPATH}java -jar \"`dirname $0`/scheduler_linux32_update.jar\" $*"
  sudo ${JAVABINPATH}java -jar "`dirname $0`/scheduler_linux32_update.jar" $*
  sudo_exit=$?
  if [ $sudo_exit -ne 0 ]
  then
    echo "Do you want to use 'su' instead of 'sudo'? (y or n)"
    read USESU
  fi
else
  USESU=y 
fi

if [ "$USESU" = "y" ] || [ "$USESU" = "Y" ]
then
  echo "su root -c \"${JAVABINPATH}java -jar \\\"`dirname $0`/scheduler_linux32_update.jar\\\" $*\""
  su root -c "${JAVABINPATH}java -jar \"`dirname $0`/scheduler_linux32_update.jar\" $*"
else
  echo "Installation aborted!"
  exit 1
fi
